Package be.fgov.ehealth.rn.baselegaldata.v1

# Class CivilStateInfoBaseType

java.lang.Object
be.fgov.ehealth.rn.baselegaldata.v1.CivilStateInfoBaseType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `CivilStateInfoWithSourceType`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class CivilStateInfoBaseType extends Object implements Serializable

Java class for CivilStateInfoBaseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CivilStateInfoBaseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CivilStateCode" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}CivilstateCodeType" minOccurs="0"/>
             <element name="CivilStateDescription" type="{urn:be:fgov:ehealth:rn:commons:business:v1}LocalizedDescriptionType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="Partner" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}PartnerType" minOccurs="0"/>
             <element name="Location" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}LocationType" minOccurs="0"/>
             <element name="Judgment" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}JudgmentType" minOccurs="0"/>
             <element name="Transcription" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}TranscriptionType" minOccurs="0"/>
             <element name="InceptionDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CivilStateInfoBaseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getCivilStateCode()`
  Gets the value of the civilStateCode property.
  `List<LocalizedDescriptionType>`
  `getCivilStateDescriptions()`
  Gets the value of the civilStateDescriptions property.
  `Instant`
  `getInceptionDate()`
  Gets the value of the inceptionDate property.
  `JudgmentType`
  `getJudgment()`
  Gets the value of the judgment property.
  `LocationType`
  `getLocation()`
  Place where civil state was registered.
  `PartnerType`
  `getPartner()`
  Gets the value of the partner property.
  `TranscriptionType`
  `getTranscription()`
  Gets the value of the transcription property.
  `void`
  `setCivilStateCode(Integer value)`
  Sets the value of the civilStateCode property.
  `void`
  `setInceptionDate(Instant value)`
  Sets the value of the inceptionDate property.
  `void`
  `setJudgment(JudgmentType value)`
  Sets the value of the judgment property.
  `void`
  `setLocation(LocationType value)`
  Sets the value of the location property.
  `void`
  `setPartner(PartnerType value)`
  Sets the value of the partner property.
  `void`
  `setTranscription(TranscriptionType value)`
  Sets the value of the transcription property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CivilStateInfoBaseType

    public CivilStateInfoBaseType()

- ## Method Details

  - ### getCivilStateCode

    public Integer getCivilStateCode()
    Gets the value of the civilStateCode property.
    Returns:
      possible object is `Integer`

  - ### setCivilStateCode

    public void setCivilStateCode(Integer value)
    Sets the value of the civilStateCode property.
    Parameters:
      `value` - allowed object is `Integer`

  - ### getCivilStateDescriptions

    public List<LocalizedDescriptionType> getCivilStateDescriptions()
    Gets the value of the civilStateDescriptions property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the civilStateDescriptions property.

    For example, to add a new item, do as follows:

         getCivilStateDescriptions().add(newItem);

    Objects of the following type(s) are allowed in the list `LocalizedDescriptionType`

    Returns:
      The value of the civilStateDescriptions property.

  - ### getPartner

    public PartnerType getPartner()
    Gets the value of the partner property.
    Returns:
      possible object is `PartnerType`

  - ### setPartner

    public void setPartner(PartnerType value)
    Sets the value of the partner property.
    Parameters:
      `value` - allowed object is `PartnerType`

  - ### getLocation

    public LocationType getLocation()
    Place where civil state was registered.
    Returns:
      possible object is `LocationType`

  - ### setLocation

    public void setLocation(LocationType value)
    Sets the value of the location property.
    Parameters:
      `value` - allowed object is `LocationType`
    See Also:
      - `getLocation()`

  - ### getJudgment

    public JudgmentType getJudgment()
    Gets the value of the judgment property.
    Returns:
      possible object is `JudgmentType`

  - ### setJudgment

    public void setJudgment(JudgmentType value)
    Sets the value of the judgment property.
    Parameters:
      `value` - allowed object is `JudgmentType`

  - ### getTranscription

    public TranscriptionType getTranscription()
    Gets the value of the transcription property.
    Returns:
      possible object is `TranscriptionType`

  - ### setTranscription

    public void setTranscription(TranscriptionType value)
    Sets the value of the transcription property.
    Parameters:
      `value` - allowed object is `TranscriptionType`

  - ### getInceptionDate

    public Instant getInceptionDate()
    Gets the value of the inceptionDate property.
    Returns:
      possible object is `String`

  - ### setInceptionDate

    public void setInceptionDate(Instant value)
    Sets the value of the inceptionDate property.
    Parameters:
      `value` - allowed object is `String`